
exampledir = $(datadir)/doc/theme-d-intr-gtk4-examples/intr-gtk4-examples/calc2
nobase_example_DATA = main.thp.in intr-imports.scm style.css user.mk deps.mk \
  install-calc2.sh compute-deps.sh \
  plugin-model.thi plugin-model.thb plugin-ui.thi plugin-ui.thb \
  ui-interface.thi ui-interface.thb ui-utils.thi ui-utils.thb \
  utils.thi utils.thb \
  current-filename.scm default-config.scm scheme-utils.scm \
  plugin-dialog-impl.scm plugin-dialog-ui.scm \
  plugin-root-dialog-impl.scm plugin-root-dialog-ui.scm \
  plugins/error-functions.thi plugins/error-functions.thb \
  plugins/gamma-functions.thi plugins/gamma-functions.thb \
  plugins/rect-and-polar.thi plugins/rect-and-polar.thb

mostlyclean-local: mostlyclean-local-check

.PHONY: mostlyclean-local-check

user.mk : user.mk.in
	sed -e 's|@extra_guild_options@|$(EXTRA_GUILD_OPTIONS)|g' $< > $@

mostlyclean-local-check:
	-rm user.mk

install-data-hook::
	chmod 755 $(DESTDIR)/$(exampledir)/install-calc2.sh
	chmod 755 $(DESTDIR)/$(exampledir)/compute-deps.sh
